Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class InvokeTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.axis.transport.jms.InvokeException
                      org.apache.axis.transport.jms.InvokeTimeoutException

All Implemented Interfaces:
  java.io.Serializable

public class InvokeTimeoutException
extends InvokeException

The `InvokeTimeoutException` is thrown when a method cannot complete processing within the time allotted. This occurs most often when the broker has failed and the client is unable to reconnect. This may be thrown from any method within the wsclient that interacts with the broker. The timeout is defined within the environment parameter to `createConnector` method in `JMSConnectorFactory` The key in the table is `IJMSConstants.INTERACT_TIMEOUT_TIME`

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)
See Also:
  Serialized Form

Constructor Summary
`InvokeTimeoutException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvokeTimeoutException

    public InvokeTimeoutException(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.